package com.goldenwater.slgc.mapper;

import java.util.List;
import java.util.Map;
import com.goldenwater.slgc.domain.AttDikeBase;
import org.apache.ibatis.annotations.Mapper;

/** 堤防信息 Mapper */
@Mapper
public interface AttDikeBaseMapper {
    /**
     * 查询堤防信息列表
     * 
     * @param attDikeBase 查询条件
     * @return 堤防信息列表
     */
    public List<AttDikeBase> selectAttDikeBaseList(AttDikeBase attDikeBase);

    /**
     * 通过堤防编码查询堤防信息
     * 
     * @param dikeCode 堤防编码
     * @return 堤防信息
     */
    public AttDikeBase selectAttDikeBaseById(String dikeCode);

    /**
     * 通过堤防编码删除堤防信息
     * 
     * @param dikeCode 堤防编码
     * @return 影响行数
     */
    public int deleteAttDikeBaseById(String dikeCode);

    /**
     * 批量删除堤防信息
     * 
     * @param dikeCodes 堤防编码数组
     * @return 影响行数
     */
    public int deleteAttDikeBaseByIds(String[] dikeCodes);

    /**
     * 修改堤防信息
     * 
     * @param attDikeBase 堤防信息
     * @return 影响行数
     */
    public int updateAttDikeBase(AttDikeBase attDikeBase);

    /**
     * 新增堤防信息
     * 
     * @param attDikeBase 堤防信息
     * @return 影响行数
     */
    public int insertAttDikeBase(AttDikeBase attDikeBase);

    /**
     * 统计堤防类型分布
     * 
     * @return 堤防类型分布统计结果
     */
    public List<Map<String, Object>> countType();
}
